We have confirmed that the OSX Patcher does not do a smooth upgrade from v1.1 to v2.0.

To upgraded to 2.0, go to goblinworks.com, log in, and click the "Get Installer Here!" button. Click through the installer pages and click the link to the OSX Installer. This will download the v2.0 installer. Allow it to run and install normally. Once the install is done, find the App in Applications/Goblinworks and run it. The Patcher will then launch and begin installing and configuring v2.0 correctly.